# Class CIM_StorageSettingWithHints
extends CIM_StorageSetting

This subclass of StorageSetting allows a client to specify 'hint's for optimization of the volume performance. The effect of these hints is implementation dependent.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_StorageSetting
|
+--CIM_StorageSettingWithHints

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This subclass of StorageSetting allows a client to specify 'hint's for optimization of the volume performance. The effect of these hints is implementation dependent.
UMLPackagePath | string | CIM::Device::StorageServices
Version | string | 2.7.1

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AccessBandwidthWeight | uint16 |
Description | string | This hint is an indication from a client of bandwidth prioritization. Values are 0=Don't Care to 10=Very Important.
MaxValue | sint64 | 10
MinValue | sint64 | 0
Write | boolean | true
AccessDirectionHint | uint16 |
Description | string | This hint is an indication from a client of the direction of accesses. Values are 0=Entirely Read to 10=Entirely Write.
MaxValue | sint64 | 10
MinValue | sint64 | 0
Write | boolean | true
AccessLatencyHint | uint16 |
Description | string | This hint is an indication from a client how important access latency is. Values are 0=Don't Care to 10=Very Important.
MaxValue | sint64 | 10
MinValue | sint64 | 0
Write | boolean | true
AccessRandomnessHint | uint16 |
Description | string | This hint is an indication from a client of the randomness of accesses. Values are 0=Entirely Sequential to 10=Entirely Random.
MaxValue | sint64 | 10
MinValue | sint64 | 0
Write | boolean | true
DataAvailabilityHint | uint16 |
Description | string | This hint is an indication from a client of the importance placed on data availability. Values are 0=Don't Care to 10=Very Important.
MaxValue | sint64 | 10
MinValue | sint64 | 0
Write | boolean | true
StorageCostHint | uint16 |
Description | string | This hint is an indication of the importance the client places on the cost of storage. Values are 0=Don't Care to 10=Very Important. A StorageVolume provider might choose to place data on low cost or high cost drives based on this parameter.
MaxValue | sint64 | 10
MinValue | sint64 | 0
Write | boolean | true
StorageEfficiencyHint | uint16 |
Description | string | This hint is an indication of the importance placed on storage space efficiency by the client. Values are 0=Don't Care to 10=Very Important. A StorageVolume provider might choose different RAID levels based on this hint.
MaxValue | sint64 | 10
MinValue | sint64 | 0
Write | boolean | true
AccessSizeHint | uint16[] |
Description | string | This hint is an indication from a client of the optimal access sizes (in bytes). Since this property is an array, several sizes can be specified.
PUnit | string | byte
Units | string | Bytes
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_StorageSetting
ConfigurationName | string | CIM_SettingData
DataRedundancyGoal | uint16 | CIM_StorageSetting
DataRedundancyMax | uint16 | CIM_StorageSetting
DataRedundancyMin | uint16 | CIM_StorageSetting
DeltaReservationGoal | uint8 | CIM_StorageSetting
DeltaReservationMax | uint8 | CIM_StorageSetting
DeltaReservationMin | uint8 | CIM_StorageSetting
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
ExtentStripeLength | uint16 | CIM_StorageSetting
ExtentStripeLengthMax | uint16 | CIM_StorageSetting
ExtentStripeLengthMin | uint16 | CIM_StorageSetting
InstanceID | string | CIM_SettingData
NoSinglePointOfFailure | boolean | CIM_StorageSetting
PackageRedundancyGoal | uint16 | CIM_StorageSetting
PackageRedundancyMax | uint16 | CIM_StorageSetting
PackageRedundancyMin | uint16 | CIM_StorageSetting
ParityLayout | uint16 | CIM_StorageSetting
UserDataStripeDepth | uint64 | CIM_StorageSetting
UserDataStripeDepthMax | uint64 | CIM_StorageSetting
UserDataStripeDepthMin | uint64 | CIM_StorageSetting

## Class Methods